<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
<title>Z:/Project/development/PSCIP/driver/pscip.h File Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<!-- Generated by Doxygen 1.5.7.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="files.html"><span>File&nbsp;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>Z:/Project/development/PSCIP/driver/pscip.h File Reference</h1>Header file used in the driver and device server.  
<a href="#_details">More...</a>
<p>

<p>
<div class="dynheader">
This graph shows which files directly or indirectly include this file:</div>
<div class="dynsection">
<p><center><img src="pscip_8h__dep__incl.gif" border="0" usemap="#Z:/Project/development/PSCIP/driver/pscip.hdep_map" alt=""></center>
</div>

<p>
<a href="pscip_8h-source.html">Go to the source code of this file.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Data Structures</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structpscip__t.html">pscip_t</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structpscip__fpga__t.html">pscip_fpga_t</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structpscip__stats__t.html">pscip_stats_t</a></td></tr>

<tr><td colspan="2"><br><h2>Defines</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="pscip_8h.html#582748943d8ab2e1c25e39011824dde5">PSCIP_WRITEREAD_MODE_MSK</a>&nbsp;&nbsp;&nbsp;0x80</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="pscip_8h.html#5e5c3361310be64daa76d9d103fe34d7">PSCIP_ECHO_MSK</a>&nbsp;&nbsp;&nbsp;0x40</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="pscip_8h.html#59b697efb51c2c83347d8419b704c983">PSCIP_INPUTBUF_MSK</a>&nbsp;&nbsp;&nbsp;0x20</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="pscip_8h.html#6747cbf210e1a9e3e552b0acf3837963">PSCIP_DSP_MSK</a>&nbsp;&nbsp;&nbsp;0x10</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="pscip_8h.html#94c046d664551a867db7de20906b46f8">PSCIP_REMLOC_MSK</a>&nbsp;&nbsp;&nbsp;0x8</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="pscip_8h.html#41a33862da3a71478344216914a894d9">PSCIP_LINK_MSK</a>&nbsp;&nbsp;&nbsp;0x4</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="pscip_8h.html#efe3cf779ccb8b637255c8b143541922">PSCIP_ERROR_MSK</a>&nbsp;&nbsp;&nbsp;0x8000</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="pscip_8h.html#79af993cebbbe8c2753a3ef7ce954cbf">PSCIP_RDWAVE_BUSY_MSK</a>&nbsp;&nbsp;&nbsp;0x10</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="pscip_8h.html#d5ccc1baf89461e88d11ed2b816df3ad">PSCIP_WRWAVE_BUSY_MSK</a>&nbsp;&nbsp;&nbsp;0x8</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="pscip_8h.html#13ba36df2bb45634e26582e68ab1e28a">PSCIP_READ_BUSY_MSK</a>&nbsp;&nbsp;&nbsp;0x4</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="pscip_8h.html#616ca64c5d899df40f7286c8e990a613">PSCIP_WRITE_BUSY_MSK</a>&nbsp;&nbsp;&nbsp;0x2</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="pscip_8h.html#f41679abbe34eab8483f9719f786a7f0">PSCIP_SETCUR_BUSY_MSK</a>&nbsp;&nbsp;&nbsp;0x1</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="pscip_8h.html#0534332c3b81f68e09fe1b2f5ea56714">PSCIP_ERRCLEAR_MSK</a>&nbsp;&nbsp;&nbsp;0x8000</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="pscip_8h.html#f2d71b7fdc783dd22ccb19f09cdd20fc">PSCIP_SETLOOP_MSK</a>&nbsp;&nbsp;&nbsp;0x1</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="pscip_8h.html#f6a2b8afefa74b6d7abf5be4b8a26386">PSCIP_ERRCNT_MSK</a>&nbsp;&nbsp;&nbsp;0x8000</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="pscip_8h.html#0e2a6d07d5e8dd2925cfbbd1c91495bf">PSCIP_LINKDOWN_MSK</a>&nbsp;&nbsp;&nbsp;0x80</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="pscip_8h.html#dc700fb2ec1ecb614cd0b743e1a7781a">PSCIP_TXERR_MSK</a>&nbsp;&nbsp;&nbsp;0x40</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="pscip_8h.html#5ac9ed160f475c343b09a06a86faf4cd">PSCIP_LOOPBACK_MSK</a>&nbsp;&nbsp;&nbsp;0x1</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="pscip_8h.html#df801c8c361d6a3e4252076cc8881330">PSCIP_PAR_ERR_0_MSK</a>&nbsp;&nbsp;&nbsp;0x4000</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="pscip_8h.html#27a13cf462bf22c5ec0c445e6de9caf9">PSCIP_BREAK_ERR_0_MSK</a>&nbsp;&nbsp;&nbsp;0x2000</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="pscip_8h.html#84ef82c05ccc85482ef34413caedcc89">PSCIP_FRAME_ERR_0_MSK</a>&nbsp;&nbsp;&nbsp;0x1000</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="pscip_8h.html#1c1b2d0a7c89d428d5451f81240fd677">PSCIP_COMP_ERR_0_MSK</a>&nbsp;&nbsp;&nbsp;0x800</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="pscip_8h.html#d98d269b9eaa6a9f38af4febda583d59">PSCIP_TIMEOUT_ERR_0_MSK</a>&nbsp;&nbsp;&nbsp;0x400</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="pscip_8h.html#ac068ca99a34d17ef3e16f8990452647">PSCIP_PAR_ERR_1_MSK</a>&nbsp;&nbsp;&nbsp;0x200</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="pscip_8h.html#d413350d8ca89cce5fd477f6860a0042">PSCIP_BREAK_ERR_1_MSK</a>&nbsp;&nbsp;&nbsp;0x100</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="pscip_8h.html#327c009f2fd9e0d38d45e51599a69545">PSCIP_FRAME_ERR_1_MSK</a>&nbsp;&nbsp;&nbsp;0x80</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="pscip_8h.html#8c6fa45efeef3547663a30d393bbce16">PSCIP_COMP_ERR_1_MSK</a>&nbsp;&nbsp;&nbsp;0x40</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="pscip_8h.html#3877c08b4e5f0bff754160566c3b1f4b">PSCIP_TIMEOUT_ERR_1_MSK</a>&nbsp;&nbsp;&nbsp;0x20</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="pscip_8h.html#2fcf60d989bdb5e26a2fc228bd84c189">PSCIP_PAR_ERR_2_MSK</a>&nbsp;&nbsp;&nbsp;0x10</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="pscip_8h.html#a58e66d4d65b604550b4d2d552313cba">PSCIP_BREAK_ERR_2_MSK</a>&nbsp;&nbsp;&nbsp;0x8</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="pscip_8h.html#48f0004b0214403210e6cf34a052c7e3">PSCIP_FRAME_ERR_2_MSK</a>&nbsp;&nbsp;&nbsp;0x4</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="pscip_8h.html#65e2c03d41a0d99801653dd29820c129">PSCIP_COMP_ERR_2_MSK</a>&nbsp;&nbsp;&nbsp;0x2</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="pscip_8h.html#135787e357871ab2fb61970c5ef476cb">PSCIP_TIMEOUT_ERR_2_MSK</a>&nbsp;&nbsp;&nbsp;0x1</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="pscip_8h.html#d5a1f88eaf104520e552bf0e91ccbb07">PSCIP_PAR_ERR_3_MSK</a>&nbsp;&nbsp;&nbsp;0x200</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="pscip_8h.html#25ae7db1dc51169973988daca95a9d3a">PSCIP_BREAK_ERR_3_MSK</a>&nbsp;&nbsp;&nbsp;0x100</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="pscip_8h.html#fca6cddcf6fedbaf3bc42dd4a2cc0566">PSCIP_FRAME_ERR_3_MSK</a>&nbsp;&nbsp;&nbsp;0x80</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="pscip_8h.html#7d3a12806330ac9c9230663e3050cd0c">PSCIP_COMP_ERR_3_MSK</a>&nbsp;&nbsp;&nbsp;0x40</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="pscip_8h.html#851e48c111466921614bb14c5840456e">PSCIP_TIMEOUT_ERR_3_MSK</a>&nbsp;&nbsp;&nbsp;0x20</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="pscip_8h.html#8de1c54d691f6eed3ab942b58a2dda71">PSCIP_PAR_ERR_4_MSK</a>&nbsp;&nbsp;&nbsp;0x10</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="pscip_8h.html#5380e84ef27de9dddcb816e614c519d0">PSCIP_BREAK_ERR_4_MSK</a>&nbsp;&nbsp;&nbsp;0x8</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="pscip_8h.html#480694597b99c899f67b96d7b575e5ad">PSCIP_FRAME_ERR_4_MSK</a>&nbsp;&nbsp;&nbsp;0x4</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="pscip_8h.html#9bc5e31f2c964935e54b849ca5ed27cf">PSCIP_COMP_ERR_4_MSK</a>&nbsp;&nbsp;&nbsp;0x2</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="pscip_8h.html#ef50a4f3848c14539a1ab4ee55ae428d">PSCIP_TIMEOUT_ERR_4_MSK</a>&nbsp;&nbsp;&nbsp;0x1</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="pscip_8h.html#7f97604abcd0363026b87993b5477f0e">PSCIP_PAR_ERR_MSK</a>&nbsp;&nbsp;&nbsp;0x10</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="pscip_8h.html#1ea63530119f92e4f65026a25577df9c">PSCIP_BREAK_ERR_MSK</a>&nbsp;&nbsp;&nbsp;0x8</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="pscip_8h.html#9541bbd441615cb7228d0d38bcfcc7fb">PSCIP_FRAME_ERR_MSK</a>&nbsp;&nbsp;&nbsp;0x4</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="pscip_8h.html#252dc6b62397369ab0782713467db618">PSCIP_COMP_ERR_MSK</a>&nbsp;&nbsp;&nbsp;0x2</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="pscip_8h.html#a22e9fd240f74a49787710c3b218506c">PSCIP_TIMEOUT_ERR_MSK</a>&nbsp;&nbsp;&nbsp;0x1</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="pscip_8h.html#6d8d8c48fe5e3166eb6718304beeb66c">PSCIP_WRHPRIO_IDX</a>&nbsp;&nbsp;&nbsp;0</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="pscip_8h.html#11834e1dd301ff195bf17f2d3006a9dc">PSCIP_WRITE_IDX</a>&nbsp;&nbsp;&nbsp;1</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="pscip_8h.html#adcef2e7b45d1bedb797b98591ff4042">PSCIP_READ_IDX</a>&nbsp;&nbsp;&nbsp;2</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="pscip_8h.html#7ed4de6f363e00ae2367bee55519d56c">PSCIP_WRWAVE_IDX</a>&nbsp;&nbsp;&nbsp;3</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="pscip_8h.html#dc56993b93ac2b4edf3742d94a042895">PSCIP_RDWAVE_IDX</a>&nbsp;&nbsp;&nbsp;4</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="pscip_8h.html#76415ef6a4793984654ab438584e4221">PSCIP_LINKDOWN_TOUT</a>&nbsp;&nbsp;&nbsp;4</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="pscip_8h.html#b6d7fefcaa8a61bbdac013f306915762">PSCIP_THREAD_RUN_MSK</a>&nbsp;&nbsp;&nbsp;0x1</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="pscip_8h.html#86c058ae122f12ef18680843bc2c0949">PSCIP_THREAD_ERR_MSK</a>&nbsp;&nbsp;&nbsp;0x2</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="pscip_8h.html#f1c216310d1c8a97199c376c50577ca5">PSCIP_IOCTL_MAGIC</a>&nbsp;&nbsp;&nbsp;0xB1B</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="pscip_8h.html#f564936bc290fbdda24a3f9ce25ea70d">PSCIP_WRHIPRIO</a>&nbsp;&nbsp;&nbsp;_IOW  (PSCIP_IOCTL_MAGIC, 1, <a class="el" href="structpscip__t.html">pscip_t</a>)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="pscip_8h.html#145abb0528d0562f2d3e9180d2d8bdd7">PSCIP_WRITE</a>&nbsp;&nbsp;&nbsp;_IOW  (PSCIP_IOCTL_MAGIC, 2, <a class="el" href="structpscip__t.html">pscip_t</a>)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="pscip_8h.html#1ad87f3dd3daf9ceac34bc7c040fd488">PSCIP_READ</a>&nbsp;&nbsp;&nbsp;_IOWR (PSCIP_IOCTL_MAGIC, 3, <a class="el" href="structpscip__t.html">pscip_t</a>)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="pscip_8h.html#c644090d8b0ecb81e3fc1f37136fefcb">PSCIP_WRWAVE</a>&nbsp;&nbsp;&nbsp;_IOW  (PSCIP_IOCTL_MAGIC, 4, <a class="el" href="structpscip__t.html">pscip_t</a>)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="pscip_8h.html#f6891eb1f27034974efd79d30f27ed7a">PSCIP_RDWAVE</a>&nbsp;&nbsp;&nbsp;_IOWR (PSCIP_IOCTL_MAGIC, 5, <a class="el" href="structpscip__t.html">pscip_t</a>)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="pscip_8h.html#bed7503a31783d40312723134b775222">PSCIP_RDLINKSTAT</a>&nbsp;&nbsp;&nbsp;_IOWR  (PSCIP_IOCTL_MAGIC,6, <a class="el" href="structpscip__t.html">pscip_t</a>)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="pscip_8h.html#927f359d87b1927f99e7efd666e49081">PSCIP_RDFPGASTAT</a>&nbsp;&nbsp;&nbsp;_IOR  (PSCIP_IOCTL_MAGIC, 7, <a class="el" href="structpscip__fpga__t.html">pscip_fpga_t</a>)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="pscip_8h.html#5da1d5661a8f241619875b191b9a8e50">PSCIP_RDSTATISTICS</a>&nbsp;&nbsp;&nbsp;_IOR  (PSCIP_IOCTL_MAGIC, 8, <a class="el" href="structpscip__stats__t.html">pscip_stats_t</a>)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="pscip_8h.html#b1756c28ed55fd46b27c1c9c9c79109a">PSCIP_PCIADDR</a>&nbsp;&nbsp;&nbsp;_IOR  (PSCIP_IOCTL_MAGIC, 9, unsigned long)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="pscip_8h.html#5788cb36fa2a76b191152affbce54791">PSCIP_RESET</a>&nbsp;&nbsp;&nbsp;_IO  (PSCIP_IOCTL_MAGIC, 17)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="pscip_8h.html#2a7c8b03e64b8001a8fab58b5912ef30">PSCIP_CLRCOUNTER</a>&nbsp;&nbsp;&nbsp;_IOW  (PSCIP_IOCTL_MAGIC, 18, <a class="el" href="structpscip__t.html">pscip_t</a>)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="pscip_8h.html#98ab0b3a0501e0ad2b1e7377b8ba621d">PSCIP_DUMPFPGAREGS</a>&nbsp;&nbsp;&nbsp;_IOW  (PSCIP_IOCTL_MAGIC, 19, <a class="el" href="structpscip__t.html">pscip_t</a>)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="pscip_8h.html#835190a56c8493939498802b5bed4194">PSCIP_WRITEIPREG</a>&nbsp;&nbsp;&nbsp;_IOW  (PSCIP_IOCTL_MAGIC, 10, <a class="el" href="structpscip__t.html">pscip_t</a>)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="pscip_8h.html#734db0298305c99c5ed29f2881c08ee5">PSCIP_READIPREG</a>&nbsp;&nbsp;&nbsp;_IOWR (PSCIP_IOCTL_MAGIC, 11, <a class="el" href="structpscip__t.html">pscip_t</a>)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="pscip_8h.html#b661b89922349e1f42117ae8518801b5">PSCIP_ERR_OFFSET</a>&nbsp;&nbsp;&nbsp;PSCIP_IOCTL_MAGIC</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="pscip_8h.html#e545bf20a6d1ef12c4ebce0ee38e28e6">PSCIP_MISMATCH_ERR</a>&nbsp;&nbsp;&nbsp;(PSCIP_ERR_OFFSET + 0)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="pscip_8h.html#a0b920fdccfae233b941a391f9a5324f">PSCIP_REMLOC_ERR</a>&nbsp;&nbsp;&nbsp;(PSCIP_ERR_OFFSET + 1)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="pscip_8h.html#9456f878d27f639ab2e7826620e6ca69">PSCIP_READ_ERR</a>&nbsp;&nbsp;&nbsp;(PSCIP_ERR_OFFSET + 2)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="pscip_8h.html#42916fdc194d01eb84928ba96b628cac">PSCIP_TOUT_ERR</a>&nbsp;&nbsp;&nbsp;(PSCIP_ERR_OFFSET + 3)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="pscip_8h.html#b1919dfb790e08b1384bf6ac5b389f4f">PSCIP_BUFFER_ERR</a>&nbsp;&nbsp;&nbsp;(PSCIP_ERR_OFFSET + 4)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="pscip_8h.html#648cdda556328941bf2d6b5209c245ca">PSCIP_DSP_ERR</a>&nbsp;&nbsp;&nbsp;(PSCIP_ERR_OFFSET + 5)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="pscip_8h.html#bf6400c5fa906f201860824adcf69dc2">PSCIP_LINK_ERR</a>&nbsp;&nbsp;&nbsp;(PSCIP_ERR_OFFSET + 6)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="pscip_8h.html#a3ff8458fc8540824a7e1d39d0122d16">PSCIP_TX_ERR</a>&nbsp;&nbsp;&nbsp;(PSCIP_ERR_OFFSET + 7)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="pscip_8h.html#507cc1e5cecd0dc495549f7f9f42dc0a">PSCIP_PARAM_ERR</a>&nbsp;&nbsp;&nbsp;(PSCIP_ERR_OFFSET + 8)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="pscip_8h.html#6a84d9fb1619ec1617a343d4c2fa6e0c">PSCIP_BUS_ERR</a>&nbsp;&nbsp;&nbsp;(PSCIP_ERR_OFFSET + 9)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="pscip_8h.html#d665b2c4a0bd94221563aef3f1ac61a2">PSCIP_SIZE_MSG</a>&nbsp;&nbsp;&nbsp;80</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="pscip_8h.html#44bc792c860f34473029a901a60dbe35">PSCIP_MINOR_NUMBER</a>&nbsp;&nbsp;&nbsp;0;</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="pscip_8h.html#22ccf226492566e2a4bd692289186529">PSCIP_MAJOR_NUMBER</a>&nbsp;&nbsp;&nbsp;0;</td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Header file used in the driver and device server. 
<p>
Includes structures, ioctl commands and masks useful in the driver and DS<p>
GG - 18.07.205: First implementation<p>
22/10/2008 - Start of porting the driver :<ul>
<li>from 2.4.x to 2.6.x</li><li>from VME to PCIGG </li></ul>

<p>Definition in file <a class="el" href="pscip_8h-source.html">pscip.h</a>.</p>
<hr><h2>Define Documentation</h2>
<a class="anchor" name="27a13cf462bf22c5ec0c445e6de9caf9"></a><!-- doxytag: member="pscip.h::PSCIP_BREAK_ERR_0_MSK" ref="27a13cf462bf22c5ec0c445e6de9caf9" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PSCIP_BREAK_ERR_0_MSK&nbsp;&nbsp;&nbsp;0x2000          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="pscip_8h-source.html#l00092">92</a> of file <a class="el" href="pscip_8h-source.html">pscip.h</a>.</p>

<p>Referenced by <a class="el" href="debug__pscip_8c-source.html#l00006">IP_DEBUG_read_FPGA_stat()</a>.</p>

</div>
</div><p>
<a class="anchor" name="d413350d8ca89cce5fd477f6860a0042"></a><!-- doxytag: member="pscip.h::PSCIP_BREAK_ERR_1_MSK" ref="d413350d8ca89cce5fd477f6860a0042" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PSCIP_BREAK_ERR_1_MSK&nbsp;&nbsp;&nbsp;0x100          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="pscip_8h-source.html#l00097">97</a> of file <a class="el" href="pscip_8h-source.html">pscip.h</a>.</p>

<p>Referenced by <a class="el" href="debug__pscip_8c-source.html#l00006">IP_DEBUG_read_FPGA_stat()</a>.</p>

</div>
</div><p>
<a class="anchor" name="a58e66d4d65b604550b4d2d552313cba"></a><!-- doxytag: member="pscip.h::PSCIP_BREAK_ERR_2_MSK" ref="a58e66d4d65b604550b4d2d552313cba" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PSCIP_BREAK_ERR_2_MSK&nbsp;&nbsp;&nbsp;0x8          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="pscip_8h-source.html#l00102">102</a> of file <a class="el" href="pscip_8h-source.html">pscip.h</a>.</p>

<p>Referenced by <a class="el" href="debug__pscip_8c-source.html#l00006">IP_DEBUG_read_FPGA_stat()</a>.</p>

</div>
</div><p>
<a class="anchor" name="25ae7db1dc51169973988daca95a9d3a"></a><!-- doxytag: member="pscip.h::PSCIP_BREAK_ERR_3_MSK" ref="25ae7db1dc51169973988daca95a9d3a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PSCIP_BREAK_ERR_3_MSK&nbsp;&nbsp;&nbsp;0x100          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="pscip_8h-source.html#l00111">111</a> of file <a class="el" href="pscip_8h-source.html">pscip.h</a>.</p>

<p>Referenced by <a class="el" href="debug__pscip_8c-source.html#l00006">IP_DEBUG_read_FPGA_stat()</a>.</p>

</div>
</div><p>
<a class="anchor" name="5380e84ef27de9dddcb816e614c519d0"></a><!-- doxytag: member="pscip.h::PSCIP_BREAK_ERR_4_MSK" ref="5380e84ef27de9dddcb816e614c519d0" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PSCIP_BREAK_ERR_4_MSK&nbsp;&nbsp;&nbsp;0x8          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="pscip_8h-source.html#l00116">116</a> of file <a class="el" href="pscip_8h-source.html">pscip.h</a>.</p>

<p>Referenced by <a class="el" href="debug__pscip_8c-source.html#l00006">IP_DEBUG_read_FPGA_stat()</a>.</p>

</div>
</div><p>
<a class="anchor" name="1ea63530119f92e4f65026a25577df9c"></a><!-- doxytag: member="pscip.h::PSCIP_BREAK_ERR_MSK" ref="1ea63530119f92e4f65026a25577df9c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PSCIP_BREAK_ERR_MSK&nbsp;&nbsp;&nbsp;0x8          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="pscip_8h-source.html#l00123">123</a> of file <a class="el" href="pscip_8h-source.html">pscip.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="b1919dfb790e08b1384bf6ac5b389f4f"></a><!-- doxytag: member="pscip.h::PSCIP_BUFFER_ERR" ref="b1919dfb790e08b1384bf6ac5b389f4f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PSCIP_BUFFER_ERR&nbsp;&nbsp;&nbsp;(PSCIP_ERR_OFFSET + 4)          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="pscip_8h-source.html#l00173">173</a> of file <a class="el" href="pscip_8h-source.html">pscip.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="6a84d9fb1619ec1617a343d4c2fa6e0c"></a><!-- doxytag: member="pscip.h::PSCIP_BUS_ERR" ref="6a84d9fb1619ec1617a343d4c2fa6e0c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PSCIP_BUS_ERR&nbsp;&nbsp;&nbsp;(PSCIP_ERR_OFFSET + 9)          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="pscip_8h-source.html#l00178">178</a> of file <a class="el" href="pscip_8h-source.html">pscip.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="2a7c8b03e64b8001a8fab58b5912ef30"></a><!-- doxytag: member="pscip.h::PSCIP_CLRCOUNTER" ref="2a7c8b03e64b8001a8fab58b5912ef30" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PSCIP_CLRCOUNTER&nbsp;&nbsp;&nbsp;_IOW  (PSCIP_IOCTL_MAGIC, 18, <a class="el" href="structpscip__t.html">pscip_t</a>)          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="pscip_8h-source.html#l00163">163</a> of file <a class="el" href="pscip_8h-source.html">pscip.h</a>.</p>

<p>Referenced by <a class="el" href="test__prog_8c-source.html#l00074">main()</a>, and <a class="el" href="pscip_8c-source.html#l00302">pscip_ioctl()</a>.</p>

</div>
</div><p>
<a class="anchor" name="1c1b2d0a7c89d428d5451f81240fd677"></a><!-- doxytag: member="pscip.h::PSCIP_COMP_ERR_0_MSK" ref="1c1b2d0a7c89d428d5451f81240fd677" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PSCIP_COMP_ERR_0_MSK&nbsp;&nbsp;&nbsp;0x800          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="pscip_8h-source.html#l00094">94</a> of file <a class="el" href="pscip_8h-source.html">pscip.h</a>.</p>

<p>Referenced by <a class="el" href="debug__pscip_8c-source.html#l00006">IP_DEBUG_read_FPGA_stat()</a>.</p>

</div>
</div><p>
<a class="anchor" name="8c6fa45efeef3547663a30d393bbce16"></a><!-- doxytag: member="pscip.h::PSCIP_COMP_ERR_1_MSK" ref="8c6fa45efeef3547663a30d393bbce16" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PSCIP_COMP_ERR_1_MSK&nbsp;&nbsp;&nbsp;0x40          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="pscip_8h-source.html#l00099">99</a> of file <a class="el" href="pscip_8h-source.html">pscip.h</a>.</p>

<p>Referenced by <a class="el" href="debug__pscip_8c-source.html#l00006">IP_DEBUG_read_FPGA_stat()</a>.</p>

</div>
</div><p>
<a class="anchor" name="65e2c03d41a0d99801653dd29820c129"></a><!-- doxytag: member="pscip.h::PSCIP_COMP_ERR_2_MSK" ref="65e2c03d41a0d99801653dd29820c129" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PSCIP_COMP_ERR_2_MSK&nbsp;&nbsp;&nbsp;0x2          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="pscip_8h-source.html#l00104">104</a> of file <a class="el" href="pscip_8h-source.html">pscip.h</a>.</p>

<p>Referenced by <a class="el" href="debug__pscip_8c-source.html#l00006">IP_DEBUG_read_FPGA_stat()</a>.</p>

</div>
</div><p>
<a class="anchor" name="7d3a12806330ac9c9230663e3050cd0c"></a><!-- doxytag: member="pscip.h::PSCIP_COMP_ERR_3_MSK" ref="7d3a12806330ac9c9230663e3050cd0c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PSCIP_COMP_ERR_3_MSK&nbsp;&nbsp;&nbsp;0x40          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="pscip_8h-source.html#l00113">113</a> of file <a class="el" href="pscip_8h-source.html">pscip.h</a>.</p>

<p>Referenced by <a class="el" href="debug__pscip_8c-source.html#l00006">IP_DEBUG_read_FPGA_stat()</a>.</p>

</div>
</div><p>
<a class="anchor" name="9bc5e31f2c964935e54b849ca5ed27cf"></a><!-- doxytag: member="pscip.h::PSCIP_COMP_ERR_4_MSK" ref="9bc5e31f2c964935e54b849ca5ed27cf" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PSCIP_COMP_ERR_4_MSK&nbsp;&nbsp;&nbsp;0x2          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="pscip_8h-source.html#l00118">118</a> of file <a class="el" href="pscip_8h-source.html">pscip.h</a>.</p>

<p>Referenced by <a class="el" href="debug__pscip_8c-source.html#l00006">IP_DEBUG_read_FPGA_stat()</a>.</p>

</div>
</div><p>
<a class="anchor" name="252dc6b62397369ab0782713467db618"></a><!-- doxytag: member="pscip.h::PSCIP_COMP_ERR_MSK" ref="252dc6b62397369ab0782713467db618" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PSCIP_COMP_ERR_MSK&nbsp;&nbsp;&nbsp;0x2          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="pscip_8h-source.html#l00125">125</a> of file <a class="el" href="pscip_8h-source.html">pscip.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="648cdda556328941bf2d6b5209c245ca"></a><!-- doxytag: member="pscip.h::PSCIP_DSP_ERR" ref="648cdda556328941bf2d6b5209c245ca" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PSCIP_DSP_ERR&nbsp;&nbsp;&nbsp;(PSCIP_ERR_OFFSET + 5)          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="pscip_8h-source.html#l00174">174</a> of file <a class="el" href="pscip_8h-source.html">pscip.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="6747cbf210e1a9e3e552b0acf3837963"></a><!-- doxytag: member="pscip.h::PSCIP_DSP_MSK" ref="6747cbf210e1a9e3e552b0acf3837963" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PSCIP_DSP_MSK&nbsp;&nbsp;&nbsp;0x10          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="pscip_8h-source.html#l00059">59</a> of file <a class="el" href="pscip_8h-source.html">pscip.h</a>.</p>

<p>Referenced by <a class="el" href="debug__pscip_8c-source.html#l00280">IP_DEBUG_read_errors()</a>, <a class="el" href="k__pscip_8c-source.html#l00693">k_pscip_rdwave()</a>, <a class="el" href="k__pscip_8c-source.html#l00431">k_pscip_read()</a>, <a class="el" href="k__pscip_8c-source.html#l00163">k_pscip_wrhiprio()</a>, <a class="el" href="k__pscip_8c-source.html#l00303">k_pscip_write()</a>, <a class="el" href="k__pscip_8c-source.html#l00561">k_pscip_wrwave()</a>, and <a class="el" href="pscip_8c-source.html#l00879">pscip_read_proc()</a>.</p>

</div>
</div><p>
<a class="anchor" name="98ab0b3a0501e0ad2b1e7377b8ba621d"></a><!-- doxytag: member="pscip.h::PSCIP_DUMPFPGAREGS" ref="98ab0b3a0501e0ad2b1e7377b8ba621d" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PSCIP_DUMPFPGAREGS&nbsp;&nbsp;&nbsp;_IOW  (PSCIP_IOCTL_MAGIC, 19, <a class="el" href="structpscip__t.html">pscip_t</a>)          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="pscip_8h-source.html#l00164">164</a> of file <a class="el" href="pscip_8h-source.html">pscip.h</a>.</p>

<p>Referenced by <a class="el" href="test__prog_8c-source.html#l00074">main()</a>, and <a class="el" href="pscip_8c-source.html#l00302">pscip_ioctl()</a>.</p>

</div>
</div><p>
<a class="anchor" name="5e5c3361310be64daa76d9d103fe34d7"></a><!-- doxytag: member="pscip.h::PSCIP_ECHO_MSK" ref="5e5c3361310be64daa76d9d103fe34d7" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PSCIP_ECHO_MSK&nbsp;&nbsp;&nbsp;0x40          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="pscip_8h-source.html#l00057">57</a> of file <a class="el" href="pscip_8h-source.html">pscip.h</a>.</p>

<p>Referenced by <a class="el" href="k__pscip_8c-source.html#l00163">k_pscip_wrhiprio()</a>, <a class="el" href="k__pscip_8c-source.html#l00303">k_pscip_write()</a>, and <a class="el" href="k__pscip_8c-source.html#l00561">k_pscip_wrwave()</a>.</p>

</div>
</div><p>
<a class="anchor" name="b661b89922349e1f42117ae8518801b5"></a><!-- doxytag: member="pscip.h::PSCIP_ERR_OFFSET" ref="b661b89922349e1f42117ae8518801b5" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PSCIP_ERR_OFFSET&nbsp;&nbsp;&nbsp;PSCIP_IOCTL_MAGIC          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="pscip_8h-source.html#l00168">168</a> of file <a class="el" href="pscip_8h-source.html">pscip.h</a>.</p>

<p>Referenced by <a class="el" href="test__prog_8c-source.html#l00074">main()</a>.</p>

</div>
</div><p>
<a class="anchor" name="0534332c3b81f68e09fe1b2f5ea56714"></a><!-- doxytag: member="pscip.h::PSCIP_ERRCLEAR_MSK" ref="0534332c3b81f68e09fe1b2f5ea56714" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PSCIP_ERRCLEAR_MSK&nbsp;&nbsp;&nbsp;0x8000          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="pscip_8h-source.html#l00076">76</a> of file <a class="el" href="pscip_8h-source.html">pscip.h</a>.</p>

<p>Referenced by <a class="el" href="k__pscip_8c-source.html#l00951">k_pscip_clear_err_counter()</a>, <a class="el" href="k__pscip_8c-source.html#l00092">k_pscip_wait_linkdown()</a>, and <a class="el" href="pscip_8c-source.html#l00761">pscip_irq_handler()</a>.</p>

</div>
</div><p>
<a class="anchor" name="f6a2b8afefa74b6d7abf5be4b8a26386"></a><!-- doxytag: member="pscip.h::PSCIP_ERRCNT_MSK" ref="f6a2b8afefa74b6d7abf5be4b8a26386" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PSCIP_ERRCNT_MSK&nbsp;&nbsp;&nbsp;0x8000          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="pscip_8h-source.html#l00083">83</a> of file <a class="el" href="pscip_8h-source.html">pscip.h</a>.</p>

<p>Referenced by <a class="el" href="k__pscip_8c-source.html#l00092">k_pscip_wait_linkdown()</a>.</p>

</div>
</div><p>
<a class="anchor" name="efe3cf779ccb8b637255c8b143541922"></a><!-- doxytag: member="pscip.h::PSCIP_ERROR_MSK" ref="efe3cf779ccb8b637255c8b143541922" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PSCIP_ERROR_MSK&nbsp;&nbsp;&nbsp;0x8000          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="pscip_8h-source.html#l00066">66</a> of file <a class="el" href="pscip_8h-source.html">pscip.h</a>.</p>

<p>Referenced by <a class="el" href="k__pscip_8c-source.html#l00693">k_pscip_rdwave()</a>, <a class="el" href="k__pscip_8c-source.html#l00431">k_pscip_read()</a>, <a class="el" href="k__pscip_8c-source.html#l00163">k_pscip_wrhiprio()</a>, <a class="el" href="k__pscip_8c-source.html#l00303">k_pscip_write()</a>, <a class="el" href="k__pscip_8c-source.html#l00561">k_pscip_wrwave()</a>, and <a class="el" href="pscip_8c-source.html#l00761">pscip_irq_handler()</a>.</p>

</div>
</div><p>
<a class="anchor" name="84ef82c05ccc85482ef34413caedcc89"></a><!-- doxytag: member="pscip.h::PSCIP_FRAME_ERR_0_MSK" ref="84ef82c05ccc85482ef34413caedcc89" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PSCIP_FRAME_ERR_0_MSK&nbsp;&nbsp;&nbsp;0x1000          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="pscip_8h-source.html#l00093">93</a> of file <a class="el" href="pscip_8h-source.html">pscip.h</a>.</p>

<p>Referenced by <a class="el" href="debug__pscip_8c-source.html#l00006">IP_DEBUG_read_FPGA_stat()</a>.</p>

</div>
</div><p>
<a class="anchor" name="327c009f2fd9e0d38d45e51599a69545"></a><!-- doxytag: member="pscip.h::PSCIP_FRAME_ERR_1_MSK" ref="327c009f2fd9e0d38d45e51599a69545" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PSCIP_FRAME_ERR_1_MSK&nbsp;&nbsp;&nbsp;0x80          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="pscip_8h-source.html#l00098">98</a> of file <a class="el" href="pscip_8h-source.html">pscip.h</a>.</p>

<p>Referenced by <a class="el" href="debug__pscip_8c-source.html#l00006">IP_DEBUG_read_FPGA_stat()</a>.</p>

</div>
</div><p>
<a class="anchor" name="48f0004b0214403210e6cf34a052c7e3"></a><!-- doxytag: member="pscip.h::PSCIP_FRAME_ERR_2_MSK" ref="48f0004b0214403210e6cf34a052c7e3" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PSCIP_FRAME_ERR_2_MSK&nbsp;&nbsp;&nbsp;0x4          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="pscip_8h-source.html#l00103">103</a> of file <a class="el" href="pscip_8h-source.html">pscip.h</a>.</p>

<p>Referenced by <a class="el" href="debug__pscip_8c-source.html#l00006">IP_DEBUG_read_FPGA_stat()</a>.</p>

</div>
</div><p>
<a class="anchor" name="fca6cddcf6fedbaf3bc42dd4a2cc0566"></a><!-- doxytag: member="pscip.h::PSCIP_FRAME_ERR_3_MSK" ref="fca6cddcf6fedbaf3bc42dd4a2cc0566" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PSCIP_FRAME_ERR_3_MSK&nbsp;&nbsp;&nbsp;0x80          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="pscip_8h-source.html#l00112">112</a> of file <a class="el" href="pscip_8h-source.html">pscip.h</a>.</p>

<p>Referenced by <a class="el" href="debug__pscip_8c-source.html#l00006">IP_DEBUG_read_FPGA_stat()</a>.</p>

</div>
</div><p>
<a class="anchor" name="480694597b99c899f67b96d7b575e5ad"></a><!-- doxytag: member="pscip.h::PSCIP_FRAME_ERR_4_MSK" ref="480694597b99c899f67b96d7b575e5ad" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PSCIP_FRAME_ERR_4_MSK&nbsp;&nbsp;&nbsp;0x4          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="pscip_8h-source.html#l00117">117</a> of file <a class="el" href="pscip_8h-source.html">pscip.h</a>.</p>

<p>Referenced by <a class="el" href="debug__pscip_8c-source.html#l00006">IP_DEBUG_read_FPGA_stat()</a>.</p>

</div>
</div><p>
<a class="anchor" name="9541bbd441615cb7228d0d38bcfcc7fb"></a><!-- doxytag: member="pscip.h::PSCIP_FRAME_ERR_MSK" ref="9541bbd441615cb7228d0d38bcfcc7fb" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PSCIP_FRAME_ERR_MSK&nbsp;&nbsp;&nbsp;0x4          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="pscip_8h-source.html#l00124">124</a> of file <a class="el" href="pscip_8h-source.html">pscip.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="59b697efb51c2c83347d8419b704c983"></a><!-- doxytag: member="pscip.h::PSCIP_INPUTBUF_MSK" ref="59b697efb51c2c83347d8419b704c983" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PSCIP_INPUTBUF_MSK&nbsp;&nbsp;&nbsp;0x20          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="pscip_8h-source.html#l00058">58</a> of file <a class="el" href="pscip_8h-source.html">pscip.h</a>.</p>

<p>Referenced by <a class="el" href="debug__pscip_8c-source.html#l00280">IP_DEBUG_read_errors()</a>, <a class="el" href="k__pscip_8c-source.html#l00693">k_pscip_rdwave()</a>, <a class="el" href="k__pscip_8c-source.html#l00431">k_pscip_read()</a>, <a class="el" href="k__pscip_8c-source.html#l00163">k_pscip_wrhiprio()</a>, <a class="el" href="k__pscip_8c-source.html#l00303">k_pscip_write()</a>, <a class="el" href="k__pscip_8c-source.html#l00561">k_pscip_wrwave()</a>, and <a class="el" href="pscip_8c-source.html#l00879">pscip_read_proc()</a>.</p>

</div>
</div><p>
<a class="anchor" name="f1c216310d1c8a97199c376c50577ca5"></a><!-- doxytag: member="pscip.h::PSCIP_IOCTL_MAGIC" ref="f1c216310d1c8a97199c376c50577ca5" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PSCIP_IOCTL_MAGIC&nbsp;&nbsp;&nbsp;0xB1B          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="pscip_8h-source.html#l00148">148</a> of file <a class="el" href="pscip_8h-source.html">pscip.h</a>.</p>

<p>Referenced by <a class="el" href="test__prog_8c-source.html#l00062">pscip_get_errmsg()</a>.</p>

</div>
</div><p>
<a class="anchor" name="bf6400c5fa906f201860824adcf69dc2"></a><!-- doxytag: member="pscip.h::PSCIP_LINK_ERR" ref="bf6400c5fa906f201860824adcf69dc2" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PSCIP_LINK_ERR&nbsp;&nbsp;&nbsp;(PSCIP_ERR_OFFSET + 6)          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="pscip_8h-source.html#l00175">175</a> of file <a class="el" href="pscip_8h-source.html">pscip.h</a>.</p>

<p>Referenced by <a class="el" href="k__pscip_8c-source.html#l00693">k_pscip_rdwave()</a>, <a class="el" href="k__pscip_8c-source.html#l00431">k_pscip_read()</a>, <a class="el" href="k__pscip_8c-source.html#l00092">k_pscip_wait_linkdown()</a>, <a class="el" href="k__pscip_8c-source.html#l00163">k_pscip_wrhiprio()</a>, <a class="el" href="k__pscip_8c-source.html#l00303">k_pscip_write()</a>, and <a class="el" href="k__pscip_8c-source.html#l00561">k_pscip_wrwave()</a>.</p>

</div>
</div><p>
<a class="anchor" name="41a33862da3a71478344216914a894d9"></a><!-- doxytag: member="pscip.h::PSCIP_LINK_MSK" ref="41a33862da3a71478344216914a894d9" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PSCIP_LINK_MSK&nbsp;&nbsp;&nbsp;0x4          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="pscip_8h-source.html#l00061">61</a> of file <a class="el" href="pscip_8h-source.html">pscip.h</a>.</p>

<p>Referenced by <a class="el" href="k__pscip_8c-source.html#l00693">k_pscip_rdwave()</a>, <a class="el" href="k__pscip_8c-source.html#l00431">k_pscip_read()</a>, <a class="el" href="k__pscip_8c-source.html#l00163">k_pscip_wrhiprio()</a>, <a class="el" href="k__pscip_8c-source.html#l00303">k_pscip_write()</a>, and <a class="el" href="k__pscip_8c-source.html#l00561">k_pscip_wrwave()</a>.</p>

</div>
</div><p>
<a class="anchor" name="0e2a6d07d5e8dd2925cfbbd1c91495bf"></a><!-- doxytag: member="pscip.h::PSCIP_LINKDOWN_MSK" ref="0e2a6d07d5e8dd2925cfbbd1c91495bf" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PSCIP_LINKDOWN_MSK&nbsp;&nbsp;&nbsp;0x80          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="pscip_8h-source.html#l00084">84</a> of file <a class="el" href="pscip_8h-source.html">pscip.h</a>.</p>

<p>Referenced by <a class="el" href="debug__pscip_8c-source.html#l00280">IP_DEBUG_read_errors()</a>, <a class="el" href="debug__pscip_8c-source.html#l00006">IP_DEBUG_read_FPGA_stat()</a>, <a class="el" href="k__pscip_8c-source.html#l00693">k_pscip_rdwave()</a>, <a class="el" href="k__pscip_8c-source.html#l00431">k_pscip_read()</a>, <a class="el" href="k__pscip_8c-source.html#l00092">k_pscip_wait_linkdown()</a>, <a class="el" href="k__pscip_8c-source.html#l00163">k_pscip_wrhiprio()</a>, <a class="el" href="k__pscip_8c-source.html#l00303">k_pscip_write()</a>, <a class="el" href="k__pscip_8c-source.html#l00561">k_pscip_wrwave()</a>, <a class="el" href="pscip_8c-source.html#l00761">pscip_irq_handler()</a>, and <a class="el" href="pscip_8c-source.html#l00879">pscip_read_proc()</a>.</p>

</div>
</div><p>
<a class="anchor" name="76415ef6a4793984654ab438584e4221"></a><!-- doxytag: member="pscip.h::PSCIP_LINKDOWN_TOUT" ref="76415ef6a4793984654ab438584e4221" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PSCIP_LINKDOWN_TOUT&nbsp;&nbsp;&nbsp;4          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="pscip_8h-source.html#l00138">138</a> of file <a class="el" href="pscip_8h-source.html">pscip.h</a>.</p>

<p>Referenced by <a class="el" href="pscip_8c-source.html#l01135">init_pscip()</a>, and <a class="el" href="k__pscip_8c-source.html#l00092">k_pscip_wait_linkdown()</a>.</p>

</div>
</div><p>
<a class="anchor" name="5ac9ed160f475c343b09a06a86faf4cd"></a><!-- doxytag: member="pscip.h::PSCIP_LOOPBACK_MSK" ref="5ac9ed160f475c343b09a06a86faf4cd" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PSCIP_LOOPBACK_MSK&nbsp;&nbsp;&nbsp;0x1          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="pscip_8h-source.html#l00086">86</a> of file <a class="el" href="pscip_8h-source.html">pscip.h</a>.</p>

<p>Referenced by <a class="el" href="debug__pscip_8c-source.html#l00006">IP_DEBUG_read_FPGA_stat()</a>.</p>

</div>
</div><p>
<a class="anchor" name="22ccf226492566e2a4bd692289186529"></a><!-- doxytag: member="pscip.h::PSCIP_MAJOR_NUMBER" ref="22ccf226492566e2a4bd692289186529" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PSCIP_MAJOR_NUMBER&nbsp;&nbsp;&nbsp;0;          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="pscip_8h-source.html#l00186">186</a> of file <a class="el" href="pscip_8h-source.html">pscip.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="44bc792c860f34473029a901a60dbe35"></a><!-- doxytag: member="pscip.h::PSCIP_MINOR_NUMBER" ref="44bc792c860f34473029a901a60dbe35" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PSCIP_MINOR_NUMBER&nbsp;&nbsp;&nbsp;0;          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="pscip_8h-source.html#l00185">185</a> of file <a class="el" href="pscip_8h-source.html">pscip.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="e545bf20a6d1ef12c4ebce0ee38e28e6"></a><!-- doxytag: member="pscip.h::PSCIP_MISMATCH_ERR" ref="e545bf20a6d1ef12c4ebce0ee38e28e6" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PSCIP_MISMATCH_ERR&nbsp;&nbsp;&nbsp;(PSCIP_ERR_OFFSET + 0)          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="pscip_8h-source.html#l00169">169</a> of file <a class="el" href="pscip_8h-source.html">pscip.h</a>.</p>

<p>Referenced by <a class="el" href="k__pscip_8c-source.html#l00163">k_pscip_wrhiprio()</a>, <a class="el" href="k__pscip_8c-source.html#l00303">k_pscip_write()</a>, and <a class="el" href="k__pscip_8c-source.html#l00561">k_pscip_wrwave()</a>.</p>

</div>
</div><p>
<a class="anchor" name="df801c8c361d6a3e4252076cc8881330"></a><!-- doxytag: member="pscip.h::PSCIP_PAR_ERR_0_MSK" ref="df801c8c361d6a3e4252076cc8881330" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PSCIP_PAR_ERR_0_MSK&nbsp;&nbsp;&nbsp;0x4000          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="pscip_8h-source.html#l00091">91</a> of file <a class="el" href="pscip_8h-source.html">pscip.h</a>.</p>

<p>Referenced by <a class="el" href="debug__pscip_8c-source.html#l00006">IP_DEBUG_read_FPGA_stat()</a>.</p>

</div>
</div><p>
<a class="anchor" name="ac068ca99a34d17ef3e16f8990452647"></a><!-- doxytag: member="pscip.h::PSCIP_PAR_ERR_1_MSK" ref="ac068ca99a34d17ef3e16f8990452647" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PSCIP_PAR_ERR_1_MSK&nbsp;&nbsp;&nbsp;0x200          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="pscip_8h-source.html#l00096">96</a> of file <a class="el" href="pscip_8h-source.html">pscip.h</a>.</p>

<p>Referenced by <a class="el" href="debug__pscip_8c-source.html#l00006">IP_DEBUG_read_FPGA_stat()</a>.</p>

</div>
</div><p>
<a class="anchor" name="2fcf60d989bdb5e26a2fc228bd84c189"></a><!-- doxytag: member="pscip.h::PSCIP_PAR_ERR_2_MSK" ref="2fcf60d989bdb5e26a2fc228bd84c189" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PSCIP_PAR_ERR_2_MSK&nbsp;&nbsp;&nbsp;0x10          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="pscip_8h-source.html#l00101">101</a> of file <a class="el" href="pscip_8h-source.html">pscip.h</a>.</p>

<p>Referenced by <a class="el" href="debug__pscip_8c-source.html#l00006">IP_DEBUG_read_FPGA_stat()</a>.</p>

</div>
</div><p>
<a class="anchor" name="d5a1f88eaf104520e552bf0e91ccbb07"></a><!-- doxytag: member="pscip.h::PSCIP_PAR_ERR_3_MSK" ref="d5a1f88eaf104520e552bf0e91ccbb07" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PSCIP_PAR_ERR_3_MSK&nbsp;&nbsp;&nbsp;0x200          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="pscip_8h-source.html#l00110">110</a> of file <a class="el" href="pscip_8h-source.html">pscip.h</a>.</p>

<p>Referenced by <a class="el" href="debug__pscip_8c-source.html#l00006">IP_DEBUG_read_FPGA_stat()</a>.</p>

</div>
</div><p>
<a class="anchor" name="8de1c54d691f6eed3ab942b58a2dda71"></a><!-- doxytag: member="pscip.h::PSCIP_PAR_ERR_4_MSK" ref="8de1c54d691f6eed3ab942b58a2dda71" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PSCIP_PAR_ERR_4_MSK&nbsp;&nbsp;&nbsp;0x10          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="pscip_8h-source.html#l00115">115</a> of file <a class="el" href="pscip_8h-source.html">pscip.h</a>.</p>

<p>Referenced by <a class="el" href="debug__pscip_8c-source.html#l00006">IP_DEBUG_read_FPGA_stat()</a>.</p>

</div>
</div><p>
<a class="anchor" name="7f97604abcd0363026b87993b5477f0e"></a><!-- doxytag: member="pscip.h::PSCIP_PAR_ERR_MSK" ref="7f97604abcd0363026b87993b5477f0e" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PSCIP_PAR_ERR_MSK&nbsp;&nbsp;&nbsp;0x10          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="pscip_8h-source.html#l00122">122</a> of file <a class="el" href="pscip_8h-source.html">pscip.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="507cc1e5cecd0dc495549f7f9f42dc0a"></a><!-- doxytag: member="pscip.h::PSCIP_PARAM_ERR" ref="507cc1e5cecd0dc495549f7f9f42dc0a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PSCIP_PARAM_ERR&nbsp;&nbsp;&nbsp;(PSCIP_ERR_OFFSET + 8)          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="pscip_8h-source.html#l00177">177</a> of file <a class="el" href="pscip_8h-source.html">pscip.h</a>.</p>

<p>Referenced by <a class="el" href="k__pscip_8c-source.html#l00803">k_pscip_rdlinkstat()</a>.</p>

</div>
</div><p>
<a class="anchor" name="b1756c28ed55fd46b27c1c9c9c79109a"></a><!-- doxytag: member="pscip.h::PSCIP_PCIADDR" ref="b1756c28ed55fd46b27c1c9c9c79109a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PSCIP_PCIADDR&nbsp;&nbsp;&nbsp;_IOR  (PSCIP_IOCTL_MAGIC, 9, unsigned long)          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="pscip_8h-source.html#l00158">158</a> of file <a class="el" href="pscip_8h-source.html">pscip.h</a>.</p>

<p>Referenced by <a class="el" href="test__prog_8c-source.html#l00074">main()</a>, and <a class="el" href="pscip_8c-source.html#l00302">pscip_ioctl()</a>.</p>

</div>
</div><p>
<a class="anchor" name="927f359d87b1927f99e7efd666e49081"></a><!-- doxytag: member="pscip.h::PSCIP_RDFPGASTAT" ref="927f359d87b1927f99e7efd666e49081" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PSCIP_RDFPGASTAT&nbsp;&nbsp;&nbsp;_IOR  (PSCIP_IOCTL_MAGIC, 7, <a class="el" href="structpscip__fpga__t.html">pscip_fpga_t</a>)          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="pscip_8h-source.html#l00155">155</a> of file <a class="el" href="pscip_8h-source.html">pscip.h</a>.</p>

<p>Referenced by <a class="el" href="pscip_8c-source.html#l00302">pscip_ioctl()</a>.</p>

</div>
</div><p>
<a class="anchor" name="bed7503a31783d40312723134b775222"></a><!-- doxytag: member="pscip.h::PSCIP_RDLINKSTAT" ref="bed7503a31783d40312723134b775222" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PSCIP_RDLINKSTAT&nbsp;&nbsp;&nbsp;_IOWR  (PSCIP_IOCTL_MAGIC,6, <a class="el" href="structpscip__t.html">pscip_t</a>)          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="pscip_8h-source.html#l00154">154</a> of file <a class="el" href="pscip_8h-source.html">pscip.h</a>.</p>

<p>Referenced by <a class="el" href="pscip_8c-source.html#l00302">pscip_ioctl()</a>.</p>

</div>
</div><p>
<a class="anchor" name="5da1d5661a8f241619875b191b9a8e50"></a><!-- doxytag: member="pscip.h::PSCIP_RDSTATISTICS" ref="5da1d5661a8f241619875b191b9a8e50" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PSCIP_RDSTATISTICS&nbsp;&nbsp;&nbsp;_IOR  (PSCIP_IOCTL_MAGIC, 8, <a class="el" href="structpscip__stats__t.html">pscip_stats_t</a>)          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="pscip_8h-source.html#l00156">156</a> of file <a class="el" href="pscip_8h-source.html">pscip.h</a>.</p>

<p>Referenced by <a class="el" href="pscip_8c-source.html#l00302">pscip_ioctl()</a>.</p>

</div>
</div><p>
<a class="anchor" name="f6891eb1f27034974efd79d30f27ed7a"></a><!-- doxytag: member="pscip.h::PSCIP_RDWAVE" ref="f6891eb1f27034974efd79d30f27ed7a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PSCIP_RDWAVE&nbsp;&nbsp;&nbsp;_IOWR (PSCIP_IOCTL_MAGIC, 5, <a class="el" href="structpscip__t.html">pscip_t</a>)          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="pscip_8h-source.html#l00153">153</a> of file <a class="el" href="pscip_8h-source.html">pscip.h</a>.</p>

<p>Referenced by <a class="el" href="test__prog_8c-source.html#l00074">main()</a>, and <a class="el" href="pscip_8c-source.html#l00302">pscip_ioctl()</a>.</p>

</div>
</div><p>
<a class="anchor" name="79af993cebbbe8c2753a3ef7ce954cbf"></a><!-- doxytag: member="pscip.h::PSCIP_RDWAVE_BUSY_MSK" ref="79af993cebbbe8c2753a3ef7ce954cbf" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PSCIP_RDWAVE_BUSY_MSK&nbsp;&nbsp;&nbsp;0x10          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="pscip_8h-source.html#l00067">67</a> of file <a class="el" href="pscip_8h-source.html">pscip.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="dc56993b93ac2b4edf3742d94a042895"></a><!-- doxytag: member="pscip.h::PSCIP_RDWAVE_IDX" ref="dc56993b93ac2b4edf3742d94a042895" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PSCIP_RDWAVE_IDX&nbsp;&nbsp;&nbsp;4          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="pscip_8h-source.html#l00136">136</a> of file <a class="el" href="pscip_8h-source.html">pscip.h</a>.</p>

<p>Referenced by <a class="el" href="k__pscip_8c-source.html#l00803">k_pscip_rdlinkstat()</a>, and <a class="el" href="pscip_8c-source.html#l00761">pscip_irq_handler()</a>.</p>

</div>
</div><p>
<a class="anchor" name="1ad87f3dd3daf9ceac34bc7c040fd488"></a><!-- doxytag: member="pscip.h::PSCIP_READ" ref="1ad87f3dd3daf9ceac34bc7c040fd488" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PSCIP_READ&nbsp;&nbsp;&nbsp;_IOWR (PSCIP_IOCTL_MAGIC, 3, <a class="el" href="structpscip__t.html">pscip_t</a>)          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="pscip_8h-source.html#l00151">151</a> of file <a class="el" href="pscip_8h-source.html">pscip.h</a>.</p>

<p>Referenced by <a class="el" href="test_8c-source.html#l00045">main()</a>, and <a class="el" href="pscip_8c-source.html#l00302">pscip_ioctl()</a>.</p>

</div>
</div><p>
<a class="anchor" name="13ba36df2bb45634e26582e68ab1e28a"></a><!-- doxytag: member="pscip.h::PSCIP_READ_BUSY_MSK" ref="13ba36df2bb45634e26582e68ab1e28a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PSCIP_READ_BUSY_MSK&nbsp;&nbsp;&nbsp;0x4          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="pscip_8h-source.html#l00069">69</a> of file <a class="el" href="pscip_8h-source.html">pscip.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="9456f878d27f639ab2e7826620e6ca69"></a><!-- doxytag: member="pscip.h::PSCIP_READ_ERR" ref="9456f878d27f639ab2e7826620e6ca69" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PSCIP_READ_ERR&nbsp;&nbsp;&nbsp;(PSCIP_ERR_OFFSET + 2)          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="pscip_8h-source.html#l00171">171</a> of file <a class="el" href="pscip_8h-source.html">pscip.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="adcef2e7b45d1bedb797b98591ff4042"></a><!-- doxytag: member="pscip.h::PSCIP_READ_IDX" ref="adcef2e7b45d1bedb797b98591ff4042" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PSCIP_READ_IDX&nbsp;&nbsp;&nbsp;2          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="pscip_8h-source.html#l00134">134</a> of file <a class="el" href="pscip_8h-source.html">pscip.h</a>.</p>

<p>Referenced by <a class="el" href="k__pscip_8c-source.html#l00803">k_pscip_rdlinkstat()</a>, and <a class="el" href="pscip_8c-source.html#l00761">pscip_irq_handler()</a>.</p>

</div>
</div><p>
<a class="anchor" name="734db0298305c99c5ed29f2881c08ee5"></a><!-- doxytag: member="pscip.h::PSCIP_READIPREG" ref="734db0298305c99c5ed29f2881c08ee5" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PSCIP_READIPREG&nbsp;&nbsp;&nbsp;_IOWR (PSCIP_IOCTL_MAGIC, 11, <a class="el" href="structpscip__t.html">pscip_t</a>)          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="pscip_8h-source.html#l00166">166</a> of file <a class="el" href="pscip_8h-source.html">pscip.h</a>.</p>

<p>Referenced by <a class="el" href="test__prog_8c-source.html#l00074">main()</a>, and <a class="el" href="pscip_8c-source.html#l00302">pscip_ioctl()</a>.</p>

</div>
</div><p>
<a class="anchor" name="a0b920fdccfae233b941a391f9a5324f"></a><!-- doxytag: member="pscip.h::PSCIP_REMLOC_ERR" ref="a0b920fdccfae233b941a391f9a5324f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PSCIP_REMLOC_ERR&nbsp;&nbsp;&nbsp;(PSCIP_ERR_OFFSET + 1)          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="pscip_8h-source.html#l00170">170</a> of file <a class="el" href="pscip_8h-source.html">pscip.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="94c046d664551a867db7de20906b46f8"></a><!-- doxytag: member="pscip.h::PSCIP_REMLOC_MSK" ref="94c046d664551a867db7de20906b46f8" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PSCIP_REMLOC_MSK&nbsp;&nbsp;&nbsp;0x8          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="pscip_8h-source.html#l00060">60</a> of file <a class="el" href="pscip_8h-source.html">pscip.h</a>.</p>

<p>Referenced by <a class="el" href="debug__pscip_8c-source.html#l00280">IP_DEBUG_read_errors()</a>, <a class="el" href="k__pscip_8c-source.html#l00693">k_pscip_rdwave()</a>, <a class="el" href="k__pscip_8c-source.html#l00431">k_pscip_read()</a>, <a class="el" href="k__pscip_8c-source.html#l00163">k_pscip_wrhiprio()</a>, <a class="el" href="k__pscip_8c-source.html#l00303">k_pscip_write()</a>, <a class="el" href="k__pscip_8c-source.html#l00561">k_pscip_wrwave()</a>, and <a class="el" href="pscip_8c-source.html#l00879">pscip_read_proc()</a>.</p>

</div>
</div><p>
<a class="anchor" name="5788cb36fa2a76b191152affbce54791"></a><!-- doxytag: member="pscip.h::PSCIP_RESET" ref="5788cb36fa2a76b191152affbce54791" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PSCIP_RESET&nbsp;&nbsp;&nbsp;_IO  (PSCIP_IOCTL_MAGIC, 17)          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="pscip_8h-source.html#l00160">160</a> of file <a class="el" href="pscip_8h-source.html">pscip.h</a>.</p>

<p>Referenced by <a class="el" href="test_8c-source.html#l00045">main()</a>, and <a class="el" href="pscip_8c-source.html#l00302">pscip_ioctl()</a>.</p>

</div>
</div><p>
<a class="anchor" name="f41679abbe34eab8483f9719f786a7f0"></a><!-- doxytag: member="pscip.h::PSCIP_SETCUR_BUSY_MSK" ref="f41679abbe34eab8483f9719f786a7f0" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PSCIP_SETCUR_BUSY_MSK&nbsp;&nbsp;&nbsp;0x1          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="pscip_8h-source.html#l00071">71</a> of file <a class="el" href="pscip_8h-source.html">pscip.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="f2d71b7fdc783dd22ccb19f09cdd20fc"></a><!-- doxytag: member="pscip.h::PSCIP_SETLOOP_MSK" ref="f2d71b7fdc783dd22ccb19f09cdd20fc" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PSCIP_SETLOOP_MSK&nbsp;&nbsp;&nbsp;0x1          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="pscip_8h-source.html#l00077">77</a> of file <a class="el" href="pscip_8h-source.html">pscip.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="d665b2c4a0bd94221563aef3f1ac61a2"></a><!-- doxytag: member="pscip.h::PSCIP_SIZE_MSG" ref="d665b2c4a0bd94221563aef3f1ac61a2" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PSCIP_SIZE_MSG&nbsp;&nbsp;&nbsp;80          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="pscip_8h-source.html#l00180">180</a> of file <a class="el" href="pscip_8h-source.html">pscip.h</a>.</p>

<p>Referenced by <a class="el" href="test__prog_8c-source.html#l00062">pscip_get_errmsg()</a>.</p>

</div>
</div><p>
<a class="anchor" name="86c058ae122f12ef18680843bc2c0949"></a><!-- doxytag: member="pscip.h::PSCIP_THREAD_ERR_MSK" ref="86c058ae122f12ef18680843bc2c0949" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PSCIP_THREAD_ERR_MSK&nbsp;&nbsp;&nbsp;0x2          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="pscip_8h-source.html#l00143">143</a> of file <a class="el" href="pscip_8h-source.html">pscip.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="b6d7fefcaa8a61bbdac013f306915762"></a><!-- doxytag: member="pscip.h::PSCIP_THREAD_RUN_MSK" ref="b6d7fefcaa8a61bbdac013f306915762" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PSCIP_THREAD_RUN_MSK&nbsp;&nbsp;&nbsp;0x1          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="pscip_8h-source.html#l00142">142</a> of file <a class="el" href="pscip_8h-source.html">pscip.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="d98d269b9eaa6a9f38af4febda583d59"></a><!-- doxytag: member="pscip.h::PSCIP_TIMEOUT_ERR_0_MSK" ref="d98d269b9eaa6a9f38af4febda583d59" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PSCIP_TIMEOUT_ERR_0_MSK&nbsp;&nbsp;&nbsp;0x400          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="pscip_8h-source.html#l00095">95</a> of file <a class="el" href="pscip_8h-source.html">pscip.h</a>.</p>

<p>Referenced by <a class="el" href="debug__pscip_8c-source.html#l00006">IP_DEBUG_read_FPGA_stat()</a>.</p>

</div>
</div><p>
<a class="anchor" name="3877c08b4e5f0bff754160566c3b1f4b"></a><!-- doxytag: member="pscip.h::PSCIP_TIMEOUT_ERR_1_MSK" ref="3877c08b4e5f0bff754160566c3b1f4b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PSCIP_TIMEOUT_ERR_1_MSK&nbsp;&nbsp;&nbsp;0x20          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="pscip_8h-source.html#l00100">100</a> of file <a class="el" href="pscip_8h-source.html">pscip.h</a>.</p>

<p>Referenced by <a class="el" href="debug__pscip_8c-source.html#l00006">IP_DEBUG_read_FPGA_stat()</a>.</p>

</div>
</div><p>
<a class="anchor" name="135787e357871ab2fb61970c5ef476cb"></a><!-- doxytag: member="pscip.h::PSCIP_TIMEOUT_ERR_2_MSK" ref="135787e357871ab2fb61970c5ef476cb" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PSCIP_TIMEOUT_ERR_2_MSK&nbsp;&nbsp;&nbsp;0x1          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="pscip_8h-source.html#l00105">105</a> of file <a class="el" href="pscip_8h-source.html">pscip.h</a>.</p>

<p>Referenced by <a class="el" href="debug__pscip_8c-source.html#l00006">IP_DEBUG_read_FPGA_stat()</a>.</p>

</div>
</div><p>
<a class="anchor" name="851e48c111466921614bb14c5840456e"></a><!-- doxytag: member="pscip.h::PSCIP_TIMEOUT_ERR_3_MSK" ref="851e48c111466921614bb14c5840456e" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PSCIP_TIMEOUT_ERR_3_MSK&nbsp;&nbsp;&nbsp;0x20          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="pscip_8h-source.html#l00114">114</a> of file <a class="el" href="pscip_8h-source.html">pscip.h</a>.</p>

<p>Referenced by <a class="el" href="debug__pscip_8c-source.html#l00006">IP_DEBUG_read_FPGA_stat()</a>.</p>

</div>
</div><p>
<a class="anchor" name="ef50a4f3848c14539a1ab4ee55ae428d"></a><!-- doxytag: member="pscip.h::PSCIP_TIMEOUT_ERR_4_MSK" ref="ef50a4f3848c14539a1ab4ee55ae428d" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PSCIP_TIMEOUT_ERR_4_MSK&nbsp;&nbsp;&nbsp;0x1          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="pscip_8h-source.html#l00119">119</a> of file <a class="el" href="pscip_8h-source.html">pscip.h</a>.</p>

<p>Referenced by <a class="el" href="debug__pscip_8c-source.html#l00006">IP_DEBUG_read_FPGA_stat()</a>.</p>

</div>
</div><p>
<a class="anchor" name="a22e9fd240f74a49787710c3b218506c"></a><!-- doxytag: member="pscip.h::PSCIP_TIMEOUT_ERR_MSK" ref="a22e9fd240f74a49787710c3b218506c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PSCIP_TIMEOUT_ERR_MSK&nbsp;&nbsp;&nbsp;0x1          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="pscip_8h-source.html#l00126">126</a> of file <a class="el" href="pscip_8h-source.html">pscip.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="42916fdc194d01eb84928ba96b628cac"></a><!-- doxytag: member="pscip.h::PSCIP_TOUT_ERR" ref="42916fdc194d01eb84928ba96b628cac" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PSCIP_TOUT_ERR&nbsp;&nbsp;&nbsp;(PSCIP_ERR_OFFSET + 3)          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="pscip_8h-source.html#l00172">172</a> of file <a class="el" href="pscip_8h-source.html">pscip.h</a>.</p>

<p>Referenced by <a class="el" href="k__pscip_8c-source.html#l00693">k_pscip_rdwave()</a>, <a class="el" href="k__pscip_8c-source.html#l00431">k_pscip_read()</a>, <a class="el" href="k__pscip_8c-source.html#l00163">k_pscip_wrhiprio()</a>, <a class="el" href="k__pscip_8c-source.html#l00303">k_pscip_write()</a>, and <a class="el" href="k__pscip_8c-source.html#l00561">k_pscip_wrwave()</a>.</p>

</div>
</div><p>
<a class="anchor" name="a3ff8458fc8540824a7e1d39d0122d16"></a><!-- doxytag: member="pscip.h::PSCIP_TX_ERR" ref="a3ff8458fc8540824a7e1d39d0122d16" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PSCIP_TX_ERR&nbsp;&nbsp;&nbsp;(PSCIP_ERR_OFFSET + 7)          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="pscip_8h-source.html#l00176">176</a> of file <a class="el" href="pscip_8h-source.html">pscip.h</a>.</p>

<p>Referenced by <a class="el" href="k__pscip_8c-source.html#l00693">k_pscip_rdwave()</a>, <a class="el" href="k__pscip_8c-source.html#l00431">k_pscip_read()</a>, <a class="el" href="k__pscip_8c-source.html#l00163">k_pscip_wrhiprio()</a>, <a class="el" href="k__pscip_8c-source.html#l00303">k_pscip_write()</a>, and <a class="el" href="k__pscip_8c-source.html#l00561">k_pscip_wrwave()</a>.</p>

</div>
</div><p>
<a class="anchor" name="dc700fb2ec1ecb614cd0b743e1a7781a"></a><!-- doxytag: member="pscip.h::PSCIP_TXERR_MSK" ref="dc700fb2ec1ecb614cd0b743e1a7781a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PSCIP_TXERR_MSK&nbsp;&nbsp;&nbsp;0x40          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="pscip_8h-source.html#l00085">85</a> of file <a class="el" href="pscip_8h-source.html">pscip.h</a>.</p>

<p>Referenced by <a class="el" href="debug__pscip_8c-source.html#l00280">IP_DEBUG_read_errors()</a>, <a class="el" href="debug__pscip_8c-source.html#l00006">IP_DEBUG_read_FPGA_stat()</a>, <a class="el" href="pscip_8c-source.html#l00761">pscip_irq_handler()</a>, and <a class="el" href="pscip_8c-source.html#l00879">pscip_read_proc()</a>.</p>

</div>
</div><p>
<a class="anchor" name="f564936bc290fbdda24a3f9ce25ea70d"></a><!-- doxytag: member="pscip.h::PSCIP_WRHIPRIO" ref="f564936bc290fbdda24a3f9ce25ea70d" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PSCIP_WRHIPRIO&nbsp;&nbsp;&nbsp;_IOW  (PSCIP_IOCTL_MAGIC, 1, <a class="el" href="structpscip__t.html">pscip_t</a>)          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="pscip_8h-source.html#l00149">149</a> of file <a class="el" href="pscip_8h-source.html">pscip.h</a>.</p>

<p>Referenced by <a class="el" href="test_8c-source.html#l00045">main()</a>, and <a class="el" href="pscip_8c-source.html#l00302">pscip_ioctl()</a>.</p>

</div>
</div><p>
<a class="anchor" name="6d8d8c48fe5e3166eb6718304beeb66c"></a><!-- doxytag: member="pscip.h::PSCIP_WRHPRIO_IDX" ref="6d8d8c48fe5e3166eb6718304beeb66c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PSCIP_WRHPRIO_IDX&nbsp;&nbsp;&nbsp;0          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="pscip_8h-source.html#l00132">132</a> of file <a class="el" href="pscip_8h-source.html">pscip.h</a>.</p>

<p>Referenced by <a class="el" href="k__pscip_8c-source.html#l00803">k_pscip_rdlinkstat()</a>, and <a class="el" href="pscip_8c-source.html#l00761">pscip_irq_handler()</a>.</p>

</div>
</div><p>
<a class="anchor" name="145abb0528d0562f2d3e9180d2d8bdd7"></a><!-- doxytag: member="pscip.h::PSCIP_WRITE" ref="145abb0528d0562f2d3e9180d2d8bdd7" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PSCIP_WRITE&nbsp;&nbsp;&nbsp;_IOW  (PSCIP_IOCTL_MAGIC, 2, <a class="el" href="structpscip__t.html">pscip_t</a>)          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="pscip_8h-source.html#l00150">150</a> of file <a class="el" href="pscip_8h-source.html">pscip.h</a>.</p>

<p>Referenced by <a class="el" href="test_8c-source.html#l00045">main()</a>, and <a class="el" href="pscip_8c-source.html#l00302">pscip_ioctl()</a>.</p>

</div>
</div><p>
<a class="anchor" name="616ca64c5d899df40f7286c8e990a613"></a><!-- doxytag: member="pscip.h::PSCIP_WRITE_BUSY_MSK" ref="616ca64c5d899df40f7286c8e990a613" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PSCIP_WRITE_BUSY_MSK&nbsp;&nbsp;&nbsp;0x2          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="pscip_8h-source.html#l00070">70</a> of file <a class="el" href="pscip_8h-source.html">pscip.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="11834e1dd301ff195bf17f2d3006a9dc"></a><!-- doxytag: member="pscip.h::PSCIP_WRITE_IDX" ref="11834e1dd301ff195bf17f2d3006a9dc" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PSCIP_WRITE_IDX&nbsp;&nbsp;&nbsp;1          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="pscip_8h-source.html#l00133">133</a> of file <a class="el" href="pscip_8h-source.html">pscip.h</a>.</p>

<p>Referenced by <a class="el" href="k__pscip_8c-source.html#l00803">k_pscip_rdlinkstat()</a>, and <a class="el" href="pscip_8c-source.html#l00761">pscip_irq_handler()</a>.</p>

</div>
</div><p>
<a class="anchor" name="835190a56c8493939498802b5bed4194"></a><!-- doxytag: member="pscip.h::PSCIP_WRITEIPREG" ref="835190a56c8493939498802b5bed4194" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PSCIP_WRITEIPREG&nbsp;&nbsp;&nbsp;_IOW  (PSCIP_IOCTL_MAGIC, 10, <a class="el" href="structpscip__t.html">pscip_t</a>)          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="pscip_8h-source.html#l00165">165</a> of file <a class="el" href="pscip_8h-source.html">pscip.h</a>.</p>

<p>Referenced by <a class="el" href="test__prog_8c-source.html#l00074">main()</a>, and <a class="el" href="pscip_8c-source.html#l00302">pscip_ioctl()</a>.</p>

</div>
</div><p>
<a class="anchor" name="582748943d8ab2e1c25e39011824dde5"></a><!-- doxytag: member="pscip.h::PSCIP_WRITEREAD_MODE_MSK" ref="582748943d8ab2e1c25e39011824dde5" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PSCIP_WRITEREAD_MODE_MSK&nbsp;&nbsp;&nbsp;0x80          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="pscip_8h-source.html#l00056">56</a> of file <a class="el" href="pscip_8h-source.html">pscip.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="c644090d8b0ecb81e3fc1f37136fefcb"></a><!-- doxytag: member="pscip.h::PSCIP_WRWAVE" ref="c644090d8b0ecb81e3fc1f37136fefcb" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PSCIP_WRWAVE&nbsp;&nbsp;&nbsp;_IOW  (PSCIP_IOCTL_MAGIC, 4, <a class="el" href="structpscip__t.html">pscip_t</a>)          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="pscip_8h-source.html#l00152">152</a> of file <a class="el" href="pscip_8h-source.html">pscip.h</a>.</p>

<p>Referenced by <a class="el" href="test__prog_8c-source.html#l00074">main()</a>, and <a class="el" href="pscip_8c-source.html#l00302">pscip_ioctl()</a>.</p>

</div>
</div><p>
<a class="anchor" name="d5ccc1baf89461e88d11ed2b816df3ad"></a><!-- doxytag: member="pscip.h::PSCIP_WRWAVE_BUSY_MSK" ref="d5ccc1baf89461e88d11ed2b816df3ad" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PSCIP_WRWAVE_BUSY_MSK&nbsp;&nbsp;&nbsp;0x8          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="pscip_8h-source.html#l00068">68</a> of file <a class="el" href="pscip_8h-source.html">pscip.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="7ed4de6f363e00ae2367bee55519d56c"></a><!-- doxytag: member="pscip.h::PSCIP_WRWAVE_IDX" ref="7ed4de6f363e00ae2367bee55519d56c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PSCIP_WRWAVE_IDX&nbsp;&nbsp;&nbsp;3          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="pscip_8h-source.html#l00135">135</a> of file <a class="el" href="pscip_8h-source.html">pscip.h</a>.</p>

<p>Referenced by <a class="el" href="k__pscip_8c-source.html#l00803">k_pscip_rdlinkstat()</a>, and <a class="el" href="pscip_8c-source.html#l00761">pscip_irq_handler()</a>.</p>

</div>
</div><p>
</div>
<hr size="1"><address style="text-align: right;"><small>Generated on Fri Dec 5 17:49:45 2008 by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.7.1 </small></address>
</body>
</html>
